.theme-toggle {
	padding: 3px 5px;
	width: 60px;
	height: 30px;

	border-radius: 20px;
	background-color: var(--c-accent_dark);
	box-shadow: inset 0px 5px 15px rgba(0, 0, 0, 0.4),
		inset 0px -5px 15px var(--c-bg_dark);
	border: 1px solid var(--c-accent);

	transition: 0.3s;
}
.theme-toggle:hover {
	box-shadow: inset 0px 5px 15px rgba(0, 0, 0, 0.4),
		inset 0px -5px 15px var(--c-bg_dark), 0 0 15px var(--c-main_dark);
	transition: 0.3s;
}

.theme-toggle__label {
	position: relative;
	height: 100%;
	display: flex;
	justify-content: space-between;
	align-items: center;

	cursor: pointer;
}

.theme-toggle__carriage {
	position: absolute;
	top: 0;
	left: 0;

	z-index: 10;

	min-width: 30px;
	min-height: 30px;
	border-radius: 50%;
	background-color: var(--c-main_dark);

	transition: 0.3s;
}

.theme-toggle__input:checked + .theme-toggle__carriage {
	left: 30px;
}

.theme-toggle__icon {
	position: relative;
	padding: 0 7px;
	z-index: 100;

	transition: 0.3s;
}
